import { useLoadPlugin } from '@/components/Map/Drawer/AvailablePluginsDrawer/LoadPlugin/hooks/useLoadPlugin';
import { FIRST_ARRAY_ELEMENT } from '@/constants/common';
import { Icon } from '@/shared/Icon';
import { MinervaPlugin } from '@/types/models';
import { RELOAD_PLUGIN_DRAWER_BUTTON_ROLE } from './PluginHeaderInfo.constants';

interface Props {
  plugin: MinervaPlugin;
}

export const PluginHeaderInfo = ({ plugin }: Props): JSX.Element => {
  const { reloadPlugin } = useLoadPlugin({
    hash: plugin.hash,
    pluginUrl: plugin.urls[FIRST_ARRAY_ELEMENT],
  });

  return (
    <>
      Plugin: <b>{plugin.name}</b>
      <button type="button" onClick={reloadPlugin} role={RELOAD_PLUGIN_DRAWER_BUTTON_ROLE}>
        <Icon name="reload" />
      </button>
    </>
  );
};
