/* eslint-disable jsx-a11y/no-static-element-interactions */
/* eslint-disable jsx-a11y/click-events-have-key-events */
import { useLoadPlugin } from '@/components/Map/Drawer/AvailablePluginsDrawer/LoadPlugin/hooks/useLoadPlugin';
import { FIRST_ARRAY_ELEMENT } from '@/constants/common';
import { MinervaPlugin } from '@/types/models';

interface LoadPluginButtonProps {
  plugin: MinervaPlugin;
}

export const LoadPluginButton = ({ plugin }: LoadPluginButtonProps): JSX.Element => {
  const { hash, name } = plugin;

  const { loadPlugin } = useLoadPlugin({
    hash: plugin.hash,
    pluginUrl: plugin.urls[FIRST_ARRAY_ELEMENT],
  });

  return (
    <div
      key={hash}
      className="flex cursor-pointer flex-col border-t px-4 py-2 shadow-sm"
      onClick={loadPlugin}
    >
      {name}
    </div>
  );
};
